Update Price List
curl --request PATCH \
--url https://api.wizcommerce.com/v1/price-lists/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "Price List Name",
"description": "Price List Description",
"priority": 1,
"status": "active",
"is_default": false
}
'import requests
url = "https://api.wizcommerce.com/v1/price-lists/{id}"
payload = {
"name": "Price List Name",
"description": "Price List Description",
"priority": 1,
"status": "active",
"is_default": False
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Price List Name',
description: 'Price List Description',
priority: 1,
status: 'active',
is_default: false
})
};
fetch('https://api.wizcommerce.com/v1/price-lists/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "0c05a9a7-84ed-46f0-819b-653545730920",
"reference_id": "PRC-20250101",
"name": "Price List 1",
"description": "Price List 1 Description",
"status": "active",
"currency": "USD",
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-01T00:00:00Z"
}
}{
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}Price List
Update Price List
Update Price List
PATCH
/
v1
/
price-lists
/
{id}
Update Price List
The
PATCH request is used to partially update an existing entity by the
given id. This means:- Only the fields provided in the request body will be updated.
- Fields not provided in the request body will remain unchanged.
- The request is idempotent, meaning multiple identical PATCH requests will always result in the same final state.
Authorizations
API Key for authentication
Path Parameters
ID
Body
application/json
Request
Response
desc
Show child attributes
Show child attributes
Was this page helpful?
⌘I
